org.bouncycastle.asn1.eac

## Interface EACObjectIdentifiers

    public interface EACObjectIdentifiers

### Field Summary

Fields
`static DERObjectIdentifier` `bsi_de`
`static DERObjectIdentifier` `id_CA`
`static DERObjectIdentifier` `id_CA_DH`
`static DERObjectIdentifier` `id_CA_DH_3DES_CBC_CBC`
`static DERObjectIdentifier` `id_CA_ECDH`
`static DERObjectIdentifier` `id_CA_ECDH_3DES_CBC_CBC`
`static DERObjectIdentifier` `id_EAC_ePassport` id-EAC-ePassport OBJECT IDENTIFIER ::= { bsi-de applications(3) mrtd(1) roles(2) 1}
`static DERObjectIdentifier` `id_PK`
`static DERObjectIdentifier` `id_PK_DH`
`static DERObjectIdentifier` `id_PK_ECDH`
`static DERObjectIdentifier` `id_TA`
`static DERObjectIdentifier` `id_TA_ECDSA`
`static DERObjectIdentifier` `id_TA_ECDSA_SHA_1`
`static DERObjectIdentifier` `id_TA_ECDSA_SHA_224`
`static DERObjectIdentifier` `id_TA_ECDSA_SHA_256`
`static DERObjectIdentifier` `id_TA_ECDSA_SHA_384`
`static DERObjectIdentifier` `id_TA_ECDSA_SHA_512`
`static DERObjectIdentifier` `id_TA_RSA`
`static DERObjectIdentifier` `id_TA_RSA_PSS_SHA_1`
`static DERObjectIdentifier` `id_TA_RSA_PSS_SHA_256`
`static DERObjectIdentifier` `id_TA_RSA_v1_5_SHA_1`
`static DERObjectIdentifier` `id_TA_RSA_v1_5_SHA_256`

### Field Detail

#### bsi_de

    static final DERObjectIdentifier bsi_de

#### id_PK

    static final DERObjectIdentifier id_PK

#### id_PK_DH

    static final DERObjectIdentifier id_PK_DH

#### id_PK_ECDH

    static final DERObjectIdentifier id_PK_ECDH

#### id_CA

    static final DERObjectIdentifier id_CA

#### id_CA_DH

    static final DERObjectIdentifier id_CA_DH

#### id_CA_DH_3DES_CBC_CBC

    static final DERObjectIdentifier id_CA_DH_3DES_CBC_CBC

#### id_CA_ECDH

    static final DERObjectIdentifier id_CA_ECDH

#### id_CA_ECDH_3DES_CBC_CBC

    static final DERObjectIdentifier id_CA_ECDH_3DES_CBC_CBC

#### id_TA

    static final DERObjectIdentifier id_TA

#### id_TA_RSA

    static final DERObjectIdentifier id_TA_RSA

#### id_TA_RSA_v1_5_SHA_1

    static final DERObjectIdentifier id_TA_RSA_v1_5_SHA_1

#### id_TA_RSA_v1_5_SHA_256

    static final DERObjectIdentifier id_TA_RSA_v1_5_SHA_256

#### id_TA_RSA_PSS_SHA_1

    static final DERObjectIdentifier id_TA_RSA_PSS_SHA_1

#### id_TA_RSA_PSS_SHA_256

    static final DERObjectIdentifier id_TA_RSA_PSS_SHA_256

#### id_TA_ECDSA

    static final DERObjectIdentifier id_TA_ECDSA

#### id_TA_ECDSA_SHA_1

    static final DERObjectIdentifier id_TA_ECDSA_SHA_1

#### id_TA_ECDSA_SHA_224

    static final DERObjectIdentifier id_TA_ECDSA_SHA_224

#### id_TA_ECDSA_SHA_256

    static final DERObjectIdentifier id_TA_ECDSA_SHA_256

#### id_TA_ECDSA_SHA_384

    static final DERObjectIdentifier id_TA_ECDSA_SHA_384

#### id_TA_ECDSA_SHA_512

    static final DERObjectIdentifier id_TA_ECDSA_SHA_512

#### id_EAC_ePassport

    static final DERObjectIdentifier id_EAC_ePassport

id-EAC-ePassport OBJECT IDENTIFIER ::= { bsi-de applications(3) mrtd(1) roles(2) 1}